(* GNU-GPL
 * System Compression - Logiciel de Compression/Decompression
 * Copyright (c) 2002 Ulrich Van Den Hekke (ulrich.vdh@free.fr)
 * 24 rue Jean Jaures
 * 59560 Comines
 *
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
 * les termes de la Licence Publique Gnrale GNU publie par la
 * Free Software Foundation (version 2 ou bien toute autre version ultrieure
 * choisie par vous).
 *
 * Ce programme est distribu car potentiellement utile, mais
 * SANS AUCUNE GARANTIE, ni explicite ni implicite, y compris les garanties de
 * commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 * Licence Publique Gnrale GNU pour plus de dtails.
 *
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
 * temps que ce programme ; si ce n'est pas le cas, crivez  la
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 *
 *)

(******************************************************************************)
(* Fonction utilitaire du logiciel                                            *)
(* Version : 1.0.0.0                                                          *)
(* Author : Ulrich Van Den Hekke                                              *)
(* Create day : 03/09/2002                                                    *)
(******************************************************************************)

unit syscutils;

interface

uses SysUtils, Classes;

function GenerateFileName(FileName: TFileName; const DskNum: byte): TFileName;
function DiskFree(const FileName: TFileName): Int64;
function CalcFileSize(const S: TStream; const Name: string): LongInt;

implementation

uses PaintUtils, Math;

function DiskFree(const FileName: TFileName): Int64;
begin
  result := SysUtils.DiskFree(Ord(UpCase(FileName[1])) - Ord('A') + 1);
end;

function CalcFileSize(const S: TStream; const Name: string): LongInt;
begin
  result := Min(S.Size + SysUtils.DiskFree(Ord(UpCase(Name[1])) - Ord('A') + 1), High(LongInt));
end;

function GenerateFileName(FileName: TFileName; const DskNum: byte): TFileName;
var Ext: string;
begin
  Ext      := ExtractFileExt(FileName);
  FileName := ChangeFileExt(FileName, '');
  try
    StrToInt(Copy(ExtractFileExt(FileName), 2, 3));
    FileName := ChangeFileExt(FileName, '');
  except
    on E: Exception do ;
  end;
  if(DskNum > 1) then
    result := FileName + '.' + LockSizeText(IntToStr(DskNum), 3, '0') + Ext
  else
    result := FileName + Ext;
end;

end.
