(* GNU-GPL
 * System Compression - Logiciel de Compression/Decompression
 * Copyright (c) 2002 Ulrich Van Den Hekke (ulrich.vdh@free.fr)
 * 24 rue Jean Jaures
 * 59560 Comines
 *
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
 * les termes de la Licence Publique Gnrale GNU publie par la
 * Free Software Foundation (version 2 ou bien toute autre version ultrieure
 * choisie par vous).
 *
 * Ce programme est distribu car potentiellement utile, mais
 * SANS AUCUNE GARANTIE, ni explicite ni implicite, y compris les garanties de
 * commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 * Licence Publique Gnrale GNU pour plus de dtails.
 *
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
 * temps que ce programme ; si ce n'est pas le cas, crivez  la
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 *
 *)

unit syswizconst;

interface

uses Common;

resourcestring
  rsWelcom        = 'Bienvenue dans System C';
  rsWelcomText    = 'Bienvenue dans System C, un assistant de compression qui ' +
                    'vous guidera lors de la cration ou l''extraction de votre ' +
                    'archive.'#10 +
                    #10 +
                    'Pour utiliser le logiciel, il vous suffit de rpondre aux questions ' +
                    'puis de cliquer sur "Suivant".'#10 +
                    'Le bouton "Prcdent", vous permet de revenir en arrire.';

  rsAbort         = 'Opration annule';
  rsAbortText     = 'Le programme a t interrompu.'#10 +
                    'Si vous voulez reprendre l''opration, il faudra redmarrer le programme.';

  rsFinish        = 'Opration termine avec succs';
  rsFinishText    = 'Le traitement s''est termin avec succs !'#10 +
                    'Nous vous remercions d''avoir utilis le programme.';

  rsArchive       = 'Sur quelle archive voulez-vous agir ?';
  rsArchiveText   = 'Selectionnez ci-dessous le nom de l''archive que vous voulez utiliser';

  rsOperation     = 'Que voulez-vous faire ?';
  rsOperatText    = 'Selectionnez le type d''opration que vous voulez effectuer.';

  rsOperatAdd     = 'Quels sont les fichiers  ajouter dans l''archive ?';
  rsOpAddText     = 'Selectionnez les diffrents fichiers  ajouter dans l''archive.';

  rsOperatExtract = 'Quels sont les fichiers  extraire de l''archive ?';
  rsOpExtractText = 'Selectionnez les diffrents fichiers  extraire de l''archive.';

  rsOperatDest    = 'O voulez-vous crire les fichiers extraits ?';
  rsOpDestText    = 'Selectionnez le dossier de destination puis validez.';

  rsOperatDelete  = 'Quels sont les fichiers  supprimer de l''archive ?';
  rsOpDeleteText  = 'Selectionnez les fichiers  supprimer de l''archive.';

  rsOperatProgress= 'Patientez pendant le traitement de l''opration.';
  rsOpProgressText= 'Le traitement que vous avez demand est en cours.';

  rsNone          = '(aucun)';
  rsYes           = 'Oui';
  rsNo            = 'Non';
  rsTerminate     = '&Termin';

  rsMemoInfo1     = 'Nom de l''archive: %s';
  rsMemoInfo2     = 'Archive dj existante: %s';

  rsLoadPlugins   = 'Lecture de la liste de plugin disponible ...';
  rsOpenArchive   = 'Cration/Ouverture de l''archive en cours ...';
  rsCloseArchive  = 'Fermeture de l''archive ...';
  rsClosePlugins  = 'Libration des plugins ...';
  rsTakeoff       = 'Lancement du traitement ...';
  rsDisque        = 'Disque';
  rsInsertNewDisk = 'Insrez un nouveau disque dans le lecteur %s ...';
  rsInsertOneDisk = 'Insrez le disque numro %d dans le lecteur %s ...';

  rsOpChoice0     = 'Ajouter des fichiers';
  rsOpChoice1     = 'Extraire des fichiers';
  rsOpChoice2     = 'Supprimer des fichiers';
  rsLabelList     = '&Liste des fichiers  %s de l''archive :';
  rsDeleteText    = 'supprimer';
  rsExtractText   = 'extraire';

  rsCompressRatio = 'Taux de compression moyen : %.2f%%';
  rsCalcRatio     = 'Calcul du taux de compression ...';

  rsQueryClose    = 'tes-vous sr de vouloir annuler l''opration en cours ?';
  rsGoBack        = 'Une erreur est survenue !'#13'Verifiez vos champs et recommencez';
  rsTitle         = 'System Compression - [%s]';

  rsProgressFile  = '%s (%s) - %s/%s';
  rsProgressTotal = 'Progression totale: %d/%d';
  rsProgressFree  = 'Espace restant: %s (Disque %d/%d)';
  rsProgressTray  = '%s (%s) - %d%%';
  rsTestAlgo      = 'Test de l''algorithme %s sur le fichier %s ...';

  rsUnsuported    = 'Non support';
  rsCantExtUnsupp = 'Ne peut extraire un fichier de l''archive si le format n''est pas support';

type
  TMainPages      = (mpBigBitmap, mpSmallBitmap);
  TWizardPages    = (wpArchiveChoice, wpOperationChoice, wpOperationAdd, wpOperationExtract, wpOperationDest, wpOperationDelete, wpOperationProgress, wpNone);

  TWizardTitle    = record
    Question, Sujet : string;
  end;

  TAddingType     = (atFile, atDirectory, atWebAddr);
  TAddingFile     = record
    afAlgoAuto : boolean;
    afAlgoIndex: integer;
    case afMode: TAddingType of
      atFile     : (afFileName : PChar);
      atDirectory: (afDirName  : PChar;
                    afRecurse  : boolean);
      atWebAddr  : (afAddrName : PChar;
                    afProxyName: PChar;
                    afProxyPort: integer);
  end;
  PAddingFile     = ^TAddingFile;

  TCurrentFileInformation = record
    FileName, Algo: string;
    TailleOfFile  : Integer;
  end;

const
  cstTitlePage    : array[Low(TWizardPages)..High(TWizardPages)] of TWizardTitle
                  = ((Question: rsArchive;        Sujet: rsArchiveText),
                     (Question: rsOperation;      Sujet: rsOperatText),
                     (Question: rsOperatAdd;      Sujet: rsOpAddText),
                     (Question: rsOperatExtract;  Sujet: rsOpExtractText),
                     (Question: rsOperatDest;     Sujet: rsOpDestText),
                     (Question: rsOperatDelete;   Sujet: rsOpDeleteText),
                     (Question: rsOperatProgress; Sujet: rsOpProgressText),
                     (Question: '';               Sujet: '')
                    );
                    
  cstAdd          = 0;
  cstExtract      = 1;
  cstDelete       = 2;

  cstPercentTest  = 0.05; (* 05% *)

implementation

end.
